Summary:	xlsatoms application to list the interned atoms defined on an X11 server
Summary(pl.UTF-8):	Aplikacja xlsatoms do wypisywania elementów zdefiniowanych w serwerze X11
Name:		xorg-app-xlsatoms
Version:	1.1.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xlsatoms-%{version}.tar.xz
# Source0-md5:	da5b7a39702841281e1d86b7349a03ba
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xlsatoms application lists the interned atoms defined on an X11
server.

%description -l pl.UTF-8
Aplikacja xlsatoms wypisuje elementy (atomy) zdefiniowane wewnątrz
serwera X11.

%prep
%setup -q -n xlsatoms-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xlsatoms
%{_mandir}/man1/xlsatoms.1*
%changelog
* Thu Nov 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xlsatoms.git;a=log;h=master

* Wed Nov 16 2022 Jakub Bogusz <qboosh@pld-linux.org> d0607d6
- updated to 1.1.4

* Fri Feb 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 2946716
- updated to 1.1.3

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 9127de6
- updated to 1.1.2

* Mon Apr 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 0f34689
- updated to 1.1.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 891f05a
- dropped pre-cvs changelog

* Sun Jun 13 2010 Jakub Bogusz <qboosh@pld-linux.org> a382045
- updated to 1.1.0 (xcb based now)

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 3619079
- updated to 1.0.2

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 29c456c
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 18c55ae
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a56d36e
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 1ab2d3b
- use individual dir, more verbose files, release 1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 15c4edc
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 53940b0
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 1fa3fb4
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 07bdac2
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> f2b0dce
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 18f2a30
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> d232e06
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 9e3d350
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> ec5126a
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

